/* -*- mode:c; coding: koi8-r -*- */
/* $Id: t1.c,v 1.1 2003/04/15 03:37:42 cher Exp $ */

/* Copyright (C) 2003 Alexander Chernov <cher@unicorn.cmc.msu.ru> */

/*
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 See the `COPYING' file for the full terms and conditions.
*/

/* test for normal distribution function and inverse */

#include "cephes.h"
#include <stdio.h>

int
main(void)
{
  double x, y, z;

  while (1) {
    if (scanf("%lf", &x) != 1) break;

    y = cephes_ndtr(x);
    z = cephes_ndtri(y);
    printf("%f, %f, %f\n", x, y, z);
  }
  return 0;
}

/*
 * Local variables:
 *  compile-command: "make"
 * End:
 */
